
local modpath = minetest.get_modpath("misteresarenas")
local schemdir = modpath.."/schems/"




bb_schems.register_arena({
    
    name = "Runabout", --the name of the arenas
    author = "MisterE", --the author of the arenas
    schem = schemdir.."runabout.mts", --the absolute file location of the schematic
    min = 2, --minimum players
    max = 2, --maximum players
    spawns = {
        vector.new(9,1,11), -- the spawn locations, needs as many as max players
        vector.new(9,1,5),
    }, --a table of spawn locations
    spectator_pos = vector.new(9,7,8), -- spectator position, should be above and in the center of the arena.
})




bb_schems.register_arena({
    
    name = "Three Ships", --the name of the arenas
    author = "MisterE", --the author of the arenas
    schem = schemdir.."threeships.mts", --the absolute file location of the schematic
    min = 2, --minimum players
    max = 6, --maximum players
    spawns = {
        vector.new(2,1,8), -- the spawn locations, needs as many as max players
        vector.new(22,1,16),
        vector.new(16,1,22),
        vector.new(8,1,2),
        vector.new(15,1,9),
        vector.new(9,1,15),
    }, --a table of spawn locations
    spectator_pos = vector.new(12,17,12), -- spectator position, should be above and in the center of the arena.
})



bb_schems.register_arena({
    
    name = "Loopy", --the name of the arenas
    author = "MisterE", --the author of the arenas
    schem = schemdir.."loopy.mts", --the absolute file location of the schematic
    min = 4, --minimum players
    max = 12, --maximum players
    spawns = {
        vector.new(8,1,8), -- the spawn locations, needs as many as max players
        vector.new(25,1,25),
        vector.new(8,1,25),
        vector.new(25,1,8),
        vector.new(20,1,6),
        vector.new(20,1,27),
        vector.new(13,1,27), 
        vector.new(13,1,6),
        vector.new(6,1,13),
        vector.new(27,1,13),
        vector.new(27,1,20),
        vector.new(6,1,20),
    }, --a table of spawn locations
    spectator_pos = vector.new(17,21,17), -- spectator position, should be above and in the center of the arena.
})
